> ## Name

> cgGetParameterIndex - get an array member parameter's index

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetParameterIndex( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns the index associated with an array member parameter.

> Returns -1 if the parameter is not in an array.

> ## Description

> cgGetParameterIndex returns the integer index of an array parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> ## History

> cgGetParameterIndex was introduced in Cg 1.2.

> ## See Also

> cgGetArrayParameter